System.Web 2.0.0.0 System.Object System.Collections.IList System.Web.UI.IStateManager

The class is the base class for all strongly typed collections that store elements, including , , , , and others. The collection manages its own state as well as the state of the elements it contains. Therefore, a call to saves the state of the collection and the state of all the elements currently contained by the collection.

The most important methods to consider when deriving from the class are , , , , and . The and methods are used to store an index in view state for the type of a contained element. Storing an index rather than a fully qualified type name improves performance. The method is called whenever elements of the collection are manipulated, and validates the elements according to business rules. Currently, the implementation of the method prohibits null objects from being stored in the collection; however, you can override this method to define your own validation behavior in a derived type. The method forces the entire collection to be serialized to view state, rather than just serializing changes made to state since the last time it was loaded. The method is an abstract method you can implement to perform this same behavior at the element level.

stores assembly-qualified type names of the collection items in view state. A site visitor could decode the view state and retrieve the type name. If this scenario creates a security concern in your Web site, you can manually encrypt the type name before placing it in the view state.

Provides a base class for all strongly typed collections that manage objects.

- Constructor

  Derived classes can override the constructor to provide customized implementation.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void

  The method is called before the method is called, and the method is called after has finished removing elements from the collection.

  Removes all items from the collection.

  2.0.0.0
- Method
  System.Void `` ``

  The specified array must be of a compatible type.

  The elements are copied to the in the same order in which the enumerator iterates through the collection.

  Copies the elements of the collection to an array, starting at a particular array index.

  The one-dimensional that is the destination of the elements copied from the . The must have zero-based indexing. The zero-based index in at which copying begins. 2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the number of elements contained in the collection.

  2.0.0.0
- Method
  System.Object ``

  The method is called internally by the collection in its implementation of the method. Derived collections override the method to return a default instance of the type identified by the provided , which maps to one of the types returned by the method.

  When overridden in a derived class, creates an instance of a class that implements . The type of object created is based on the specified member of the collection returned by the method.

  An instance of a class derived from , according to the provided.

  The index, from the ordered list of types returned by , of the type of to create. 2.0.0.0
- Method
  System.Collections.IEnumerator To be added.

  Returns an iterator that iterates through the collection.

  An that can be used to iterate through the .

  2.0.0.0
- Method
  System.Type[]

  The method is called internally by the collection in its implementation of the method. Derived collections override the method to return an array of objects that represent the types the collection can contain.

  When overridden in a derived class, gets an array of types that the collection can contain.

  An ordered array of objects that identify the types of objects the collection can contain. The default implementation returns null.

  2.0.0.0
- Method
  System.Void

  Collections derived from can override the method to perform any additional work before all items are removed from the collection using the method.

  When overridden in a derived class, performs additional work before the method removes all items from the collection.

  2.0.0.0
- Method
  System.Void

  Collections derived from can override the method to perform any additional work after all items are removed from the collection using the method.

  When overridden in a derived class, performs additional work after the method finishes removing all items from the collection.

  2.0.0.0
- Method
  System.Void `` ``

  Collections derived from can override the method to perform any additional work before an item is added to the collection using the or method.

  When overridden in a derived class, performs additional work before the or method adds an item to the collection.

  The zero-based index at which should be inserted by the method. The object to insert into the . 2.0.0.0
- Method
  System.Void `` ``

  Collections derived from can override the method to perform any additional work after an item is added to the collection using the or method.

  When overridden in a derived class, performs additional work after the or method adds an item to the collection.

  The zero-based index at which is inserted by the method. The object inserted into the . 2.0.0.0
- Method
  System.Void `` ``

  Collections derived from can override the method to perform any additional work before an item is removed from the collection using the or method.

  When overridden in a derived class, performs additional work before the or method removes the specified item from the collection.

  The zero-based index of the item to remove, which is used when is called. The object to remove from the , which is used when is called. 2.0.0.0
- Method
  System.Void `` ``

  Collections derived from can override the method to perform any additional work after an item is removed from the collection using the or method.

  When overridden in a derived class, performs additional work after the or method removes the specified item from the collection.

  The zero-based index of the item to remove, which is used when is called. The object removed from the , which is used when is called. 2.0.0.0
- Method
  System.Void ``

  The method is called to validate the object manipulated through the implementation of the interface methods. The default implementation is to verify that the object manipulated by the collection is not null; however, collections derived from override the method to perform any additional validation, such as type-checking.

  When overridden in a derived class, validates an element of the collection.

  The to validate. 2.0.0.0
- Method
  System.Void

  The method forces the collection to be serialized completely (whereas the method saves only the change information). This is useful when a collection has changed in a significant way and change information is insufficient to recreate the object in memory from view state.

  Forces the entire collection to be serialized into view state.

  2.0.0.0
- Method
  System.Void ``

  The method is called internally by the , , and methods.

  When overridden in a derived class, instructs an object contained by the collection to record its entire state to view state, rather than recording only change information.

  The that should serialize itself completely. 2.0.0.0
- Property
  2.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of elements contained in the collection.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the collection is synchronized (thread safe). This method returns false in all cases.

- Property
  2.0.0.0
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the collection. This method returns null in all cases.

- Method
  2.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an iterator that iterates through the collection.

  An that can be used to iterate through the .

- Method
  2.0.0.0
  System.Int32 ``

  The and methods are called before the element is added to the collection, and the method is called after the element is added.

  Adds an item to the collection.

  The position at which the new element was inserted.

  The object to add to the .
- Method
  2.0.0.0
  System.Void

  The method is called before the method is called, and the method is called after has finished removing elements from the collection.

  Removes all items from the collection.

- Method
  2.0.0.0
  System.Boolean ``

  The method is called to validate before the collection is checked.

  Determines whether the collection contains a specific value.

  true if the object is found in the ; otherwise, false. If null is passed for the value parameter, false is returned.

  The object to locate in the .
- Method
  2.0.0.0
  System.Int32 ``

  The method is called to validate before the index is returned.

  Determines the index of a specified item in the collection.

  The index of , if it is found in the list; otherwise, -1.

  The object to locate in the .
- Method
  2.0.0.0
  System.Void `` ``

  If is -1, is appended to the beginning of the collection. If equals the number of items in the collection, is appended to the end of the collection.

  Inserts an item into the collection at the specified index.

  The zero-based index at which should be inserted. The object to insert into the .
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the collection has a fixed size. This method returns false in all cases.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the collection is read-only.

- Property
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void ``

  The method is called to validate before the value is removed from the collection. The method is called before the object is removed, and the method is called after the object is removed.

  Removes the first occurrence of the specified object from the collection.

  The object to remove from the .
- Method
  2.0.0.0
  System.Void ``

  The method is called to validate before the value is removed from the collection. The method is called before the object is removed, and the method is called after the object is removed.

  Removes the element at the specified index.

  The zero-based index of the item to remove.
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the collection is saving changes to its view state.

- Method
  2.0.0.0
  System.Void ``

  This method restores view-state information that was saved by the method.

  View state is the accumulation of the values of a server control's properties. These values are automatically placed in the server control's property, which is an instance of the class. This property's value is then persisted to a string object after the save state stage of the server control life cycle. For more information, see ASP.NET Web Server Controls.

  This method is used primarily by control developers. You can override this method to specify how a custom server control restores its view state. For more information, see ASP.NET State Management Overview.

  Restores the previously saved view state of the collection and the items it contains.

  An object that represents the collection and collection elements' state to restore.
- Method
  2.0.0.0
  System.Object

  This method is used primarily by control developers.

  View state is the accumulation of the values of a server control's properties. These values are automatically placed in the server control's property, which is an instance of the class. This property's value is then persisted to a string object after the save state stage of the server control life cycle. For more information, see ASP.NET Web Server Controls.

  When view state is saved, this string object is returned to the client as a variable that is stored in an HTML hidden element (<input type="hidden">). When you author custom server controls, you can improve efficiency by overriding this method and modifying your server control's property. For more information, see ASP.NET Web Server Controls and ASP.NET State Management Overview.

  Saves the changes to the collection and each object it contains since the time the page was posted back to the server.

  The object that contains the changes to the view state of the and the items it contains. If no view state is associated with the collection and its elements, this method returns null.

- Method
  2.0.0.0
  System.Void

  View state is the accumulation of the values of a server control's properties. These values are automatically placed in the server control's property, which is an instance of the class. This property's value is then persisted to a string object after the save state stage of the server control life cycle. For more information, see ASP.NET Web Server Controls.

  Causes the collection and each of the objects it contains to track changes to their view state so they can be persisted across requests for the same page.